# svr-eip-admin
共享交换平台 - 后台微服务
# 简介

信息共享交换平台(CoSharp)是一个面向医疗服务的智能化集成开发平台，定位于实现和推动医疗机构内外异构系统间的数据和服务信息共享与交换，实现网内外系统的互联互通。

信息共享交换平台通过提供标准转换和各语言开发相关SDK或语言无关的API来规范开发流程，解耦应用间的依赖，降低系统的集成的难度，缩短时间周期和减少成本。

# 概述
信息共享交换平台预实现真正的前后端分离，本项目为纯后端服务，与app-eip-manage前端应用对应

# 代码规范
进行代码开发前，请先阅读代码规范。
具体内容参看Specification/Java代码规范.md

# 项目结构
## 项目地址
- [svr-eip-admin](http://192.168.192.92:3000/jkzl.cloud/svr-eip-admin.git)
- [app-eip-manage](http://192.168.192.92:3000/jkzl.cloud/app-eip-manage.git)

<table>
   <tr>
        <th>父模块</th>
        <th>父模块说明</th>
        <th>子模块</th>
        <th>子模块说明</th>
    </tr>
     <tr>
         <td>app-eip-manage</td> 
         <td>共享交换平台前端</td> 
    </tr>
      <tr>
          <td>svr-eip-admin</td> 
          <td>共享交换平台基础服务</td> 
     </tr>
    <tr>
        <td>svr-eip-central-rest</td> 
        <td>中心端内置服务（目前为省平台上传服务）</td> 
   </tr>
    <tr>
        <td>svr-eip-dfs</td> 
        <td>基于Mongo GFS的简易文件服务器及zbus消息服务</td> 
   </tr>
    <tr>
        <td>svr-eip-arbiter</td> 
        <td>消息服务协调组件</td> 
   </tr>
    <tr>
        <td>svr-eip-broker</td> 
        <td>流程编排服务运行组件</td> 
   </tr>
    <tr>
        <td>svr-eip-logger</td> 
        <td>日志服务组件等</td> 
   </tr>
</table>

## 注意事项
通过dependencyManagement方式管理引入工程中类库及版本，其他模块只指定依赖，不设置版本号。以保证统一。

# 系统结构
系统 | 组成模块(只列可运行模块)
--- | ---
中心控制系统 | app-eip-manage, svr-eip-admin, svr-eip-dfs
中心交换系统 | svr-eip-logger, svr-eip-arbiter, svr-eip-broker, svr-eip-central-rest 
前置一体机 | svr-eip-logger, svr-eip-arbiter, svr-eip-broker, svr-eip-rest

# 开发过程
前期出现过，在开发过程中使用IDEA运行正常，部署到Tomcat中无法运行的问题。
为了避免此类问题的发生，如果工程最终是部署在Tomcat上的，a在功能开发完成后需要在Tomcat运行测试通过了方可签入代码。

# 项目打包发布
1. 先install hos-web-framework 生成基础依赖包
